<?php
require_once("DBManager.class.php");

class aviso{
	private $idaviso;///
	private $iddoc_curso;	
	private $aviso;
	
	///////////////////////////////////////////
	public function Crear($vi,$vid)
	{
		$resp=false;		
		$db= new DBManager();		
		if($db->_execute("INSERT INTO aviso(idaviso,iddoc_curso,aviso) VALUES(null,".$vi.",'".$vid."')"))   
		{
			$resp=true;
		}
		return $resp;		
	}
	
	
	public function ListarPorDoccurso($v)
	{
		$vector=null;		
		$db= new DBManager();		
		$rs=$db->execute("select * from aviso where(iddoc_curso LIKE CONCAT('%','".$v."','%')) order by idaviso desc");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("idaviso"   => $rs->fields["idaviso"],
									"iddoc_curso" 	    => $rs->fields["iddoc_curso"],
									"aviso"         => $rs->fields["aviso"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
		
	public function BuscarPorDoccurso($vcod)
	{
		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager();
		$rs=$db->execute("select * from aviso where(iddoc_curso = ".$vcod.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
	                  $this->idaviso=$rs->fields["idaviso"];
				      $this->iddoc_curso=$rs->fields["iddoc_curso"];	
					  $this->aviso=$rs->fields["aviso"];				
				     			 
				     
					 
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
	
	/*
	public function Actualizar($vi,$vid,$vidd)			
	{
		$resp=false;		
		$db= new DBManager();	
		$vf = implode("-",array_reverse(explode("-",$vf)));	
		if($db->_execute("update  doc_curso set idcurso = '".$vi."',iddoc_curso = '".$vid."' where (iddoc_curso_curso=".$vid.") "))//si es exitosa la consulta			   
		{
		  $resp=true; 
		}	
		return $resp;
	}
	////////////////////////////////*/
	public function ListaTotal()
	{
		$vector=null;
		$db= new DBManager();		
		$rs=$db->execute("select * from aviso order by idaviso desc");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                $vector[$row]=array("idaviso"   => $rs->fields["idaviso"],
									"iddoc_curso" 	    => $rs->fields["iddoc"],
									"aviso"         => $rs->fields["aviso"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
        	return $vector;			
		}else return null;
		
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	

	//////////////////////////////
	public function Eliminar($vcod)
	{
		$resp=false;		
		$db= new DBManager();		
		if($db->_execute("DELETE FROM aviso WHERE (idaviso=".$vcod.");"))   
		{
			$resp=true;
		}
		return $resp;		
	}	
	////////////////////////////////////////							
	
	public function getIddoc_curso(){ return $this->iddoc_curso;}
	public function getIdaviso(){ return $this->idaviso;}
	public function getAviso(){ return $this->aviso;}


	
}
?>
